is.pdb {bio3d} | R Documentation

## Is an Object of Class ‘pdb(s)’?

### Description

Checks whether its argument is an object of class ‘pdb’ or ‘pdbs’.

### Usage

      is.pdb(x)
      is.pdbs(x)

### Arguments

`x` | an R object.

### Details

Tests if the object ‘x’ is of class ‘pdb’ (`is.pdb`) or ‘pdbs’ (`is.pdbs`), i.e. if ‘x’ has a “class” attribute equal to `pdb` or `pdbs`.

### Value

TRUE if x is an object of class ‘pdb(s)’ and FALSE otherwise

### See Also

`read.pdb`, `read.fasta.pdb`, `pdbaln`

### Examples

    # Read a PDB file
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )
    is.pdb(pdb)

[Package bio3d version 2.3-4 Index]